Bug 1390477 - Review Request: gnome-shell-extension-do-not-disturb-button - Don't show desktop notifications until you're ready to look at them
Summary: Review Request: gnome-shell-extension-do-not-disturb-button - Don't show desk...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: noarch
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-01 08:02 UTC by Audrey Yeena Toskin
Modified: 2017-04-01 17:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-28 00:24:40 UTC
Type: Bug
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Audrey Yeena Toskin 2016-11-01 08:02:56 UTC
Spec URL: https://gitlab.com/terrycloth/packaging-gnome-shell-extension-do-not-disturb-button/raw/master/gnome-shell-extension-do-not-disturb-button.spec

SRPM URL: https://andrew.tosk.in/tmp/gnome-shell-extension-do-not-disturb-button-8-1.fc24.src.rpm

Description: Do Not Disturb Button adds a button to the GNOME Shell top bar, which lets you set a "busy" status, hiding desktop notifications until you're ready to look at them.

Fedora Account System Username: terrycloth

Comment 1 Zbigniew Jędrzejewski-Szmek 2016-11-12 16:55:36 UTC
Summary should not end in a dot.

+ package name is ok
+ license is acceptable (GPLv2)
+ license is specified correctly
+ builds and installs OK
+ latest version

Package looks good. I'll approve it when you are sponsored. Please fix the Summary when uploading.

Comment 2 Audrey Yeena Toskin 2016-11-14 04:40:45 UTC
Okay, summary has been fixed, and updated files pushed. Same URLs.

Comment 4 Zbigniew Jędrzejewski-Szmek 2017-03-07 03:57:36 UTC
Hi Andrew, sorry for the delay.

This package looks good, and you're doing nice work with other packages. I have sponsored you into the packagers group, use your powers for good and have fun!

I'll try to review some other of your requests later, but no promises. You might need to find reviewers elsewhere. If you have any questions, always feel free to drop me an e-mail.

Comment 5 Audrey Yeena Toskin 2017-03-15 00:34:51 UTC
* Updated to upstream version 53
* Better locale detection, files moved to system directory
* Moved gschema file to system directory
* Downgrade GNOME Tweak Tool from a Require to a Recommend

Spec URL: https://gitlab.com/terrycloth/packaging-gnome-shell-extension-do-not-disturb-button/raw/master/gnome-shell-extension-do-not-disturb-button.spec

SRPM URL: https://andrew.tosk.in/tmp/gnome-shell-extension-do-not-disturb-button-11-1.fc26.src.rpm

Comment 6 Audrey Yeena Toskin 2017-03-15 00:35:29 UTC
Sorry, it's upstream version 11 -- obviously, from the SRPM.

Comment 7 Zbigniew Jędrzejewski-Szmek 2017-03-15 01:59:49 UTC
Right, looks nice. If you haven't done this already, you should head over to https://admin.fedoraproject.org/pkgdb/request/package/.

Comment 8 Gwyn Ciesla 2017-03-15 12:38:43 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/gnome-shell-extension-do-not-disturb-button

Comment 9 Audrey Yeena Toskin 2017-03-17 03:01:48 UTC
At some point I think I missed one of the notifications for this thread, so I was a little confused about being added to the packagers group before all my package reviews were done. But I think I'm all caught up now. Thanks, Zbigniew. I'll find another reviewer for my other pending packages.

Am I missing anything else I need to do for this package, or is the rest of the process automated from here? I've been checking PkgDB and Koji:

* https://admin.fedoraproject.org/pkgdb/package/rpms/gnome-shell-extension-do-not-disturb-button/
* https://koji.fedoraproject.org/koji/packageinfo?packageID=23928

Seems to me like everything should be done, but there haven't been the usual automated messages about adding the package to Fedora 24 - 27, and the package doesn't show up in a `dnf search`.

Comment 10 Zbigniew Jędrzejewski-Szmek 2017-03-17 12:31:45 UTC
> I was a little confused about being added to the packagers group before all my package reviews were done

There's no requirement for any or all package reviews to be done before being added to the packagers group. It's customary to do one review, but there's not hard rule. (In particular some people do not add new packages and become comaintainers.)

> Seems to me like everything should be done, but there haven't been the usual automated messages about adding the package to Fedora 24 - 27

See https://apps.fedoraproject.org/packages/gnome-shell-extension-do-not-disturb-button/.

You need to make an "update" for F24-F26: https://bodhi.fedoraproject.org/updates/new.

Comment 11 Fedora Update System 2017-03-17 20:45:07 UTC
gnome-shell-extension-do-not-disturb-button-11-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-43bea7fd06

Comment 12 Fedora Update System 2017-03-17 20:45:14 UTC
gnome-shell-extension-do-not-disturb-button-11-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddc48b3309

Comment 13 Fedora Update System 2017-03-17 20:45:19 UTC
gnome-shell-extension-do-not-disturb-button-11-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-dca03a7238

Comment 14 Fedora Update System 2017-03-17 22:23:49 UTC
gnome-shell-extension-do-not-disturb-button-11-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-43bea7fd06

Comment 15 Fedora Update System 2017-03-19 01:48:24 UTC
gnome-shell-extension-do-not-disturb-button-11-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-dca03a7238

Comment 16 Fedora Update System 2017-03-19 02:22:31 UTC
gnome-shell-extension-do-not-disturb-button-11-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ddc48b3309

Comment 17 Fedora Update System 2017-03-28 00:24:40 UTC
gnome-shell-extension-do-not-disturb-button-11-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2017-03-28 06:18:59 UTC
gnome-shell-extension-do-not-disturb-button-11-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2017-04-01 17:13:52 UTC
gnome-shell-extension-do-not-disturb-button-11-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.